package de.uni_marburg.powersort.benchmark;

/**
 * A class for tiny, comparable objects.
 * <p>
 * Prints to stdout when an object is created.
 */
record DummyComparable2(int id) implements Comparable<DummyComparable2> {
    public DummyComparable2(int id) {
        this.id = id;
        System.out.println("Initialized " + this);
    }

    @Override
    public int compareTo(DummyComparable2 other) {
        return id - other.id;
    }
}
